Subject: Re: [ANNOUNCE] Host Fabric Interface (HFI) device driver available on sourceforge

From: Jim Dykman <[email-masked]>
Date: Sun, 31 Oct 2010 15:43:14 -0400

On 10/31/2010 12:08 AM, David Miller wrote:
> From: Jim Dykman<[email-masked]>
> Date: Sat, 30 Oct 2010 23:10:27 -0400
>
>> The HFI network interface is the internal cluster fabric of IBM's
>> PERCS supercomputer. The device driver patch for 2.6.36, hfi-utils,
>> and an introduction to the hardware are available on the sourceforge
>> page (http://sourceforge.net/projects/hfidevicedriver). The hardware
>> design is under US export control, so we cannot release hardware
>> specs.
>
> Nobody is going to look at your code, let alone help review it
> for inclusion, if you just say "go look at this stuff on this
> sourceforge web site."
>
> You have to post the kernel patches here, one by one.

Sorry, thought I was following the instructions for large patches in 
Documentation/SubmittingPatches. It is currently one patch of about 
22000 lines, around 630k.

Most of the patch is new files, I'm figuring one file per email.
There are 2 files just under 3000 lines, 4 in the 1000-1700 line range, 
and some smaller ones. Do I need to break any of those up further?

Jim Dykman